org.wso2.carbon.logging.admin.stub.types.axis2

## Class UpdateLoggerData

- java.lang.Object
- - org.wso2.carbon.logging.admin.stub.types.axis2.UpdateLoggerData

- All Implemented Interfaces:
    Serializable, org.apache.axis2.databinding.ADBBean

      public class UpdateLoggerData
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  UpdateLoggerData bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UpdateLoggerData.Factory` Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `localAdditivity` field for Additivity
    `protected boolean` | `localAdditivityTracker`
    `protected String` | `localLoggerLevel` field for LoggerLevel
    `protected boolean` | `localLoggerLevelTracker`
    `protected String` | `localLoggerName` field for LoggerName
    `protected boolean` | `localLoggerNameTracker`
    `protected boolean` | `localPersist` field for Persist
    `protected boolean` | `localPersistTracker`
    `static QName` | `MY_QNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateLoggerData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getAdditivity()` Auto generated getter method
    `String` | `getLoggerLevel()` Auto generated getter method
    `String` | `getLoggerName()` Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
    `boolean` | `getPersist()` Auto generated getter method
    `XMLStreamReader` | `getPullParser(QName qName)` databinding method to get an XML representation of this object
    `boolean` | `isAdditivitySpecified()`
    `boolean` | `isLoggerLevelSpecified()`
    `boolean` | `isLoggerNameSpecified()`
    `boolean` | `isPersistSpecified()`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
    `void` | `setAdditivity(boolean param)` Auto generated setter method
    `void` | `setLoggerLevel(String param)` Auto generated setter method
    `void` | `setLoggerName(String param)` Auto generated setter method
    `void` | `setPersist(boolean param)` Auto generated setter method

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MY_QNAME

          public static final QName MY_QNAME

    - #### localLoggerName

          protected String localLoggerName

      field for LoggerName

    - #### localLoggerNameTracker

          protected boolean localLoggerNameTracker

    - #### localLoggerLevel

          protected String localLoggerLevel

      field for LoggerLevel

    - #### localLoggerLevelTracker

          protected boolean localLoggerLevelTracker

    - #### localAdditivity

          protected boolean localAdditivity

      field for Additivity

    - #### localAdditivityTracker

          protected boolean localAdditivityTracker

    - #### localPersist

          protected boolean localPersist

      field for Persist

    - #### localPersistTracker

          protected boolean localPersistTracker

  - ### Constructor Detail

    - #### UpdateLoggerData

          public UpdateLoggerData()

  - ### Method Detail

    - #### isLoggerNameSpecified

          public boolean isLoggerNameSpecified()

    - #### getLoggerName

          public String getLoggerName()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setLoggerName

          public void setLoggerName(String param)

      Auto generated setter method
      Parameters:
        `param` - LoggerName

    - #### isLoggerLevelSpecified

          public boolean isLoggerLevelSpecified()

    - #### getLoggerLevel

          public String getLoggerLevel()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setLoggerLevel

          public void setLoggerLevel(String param)

      Auto generated setter method
      Parameters:
        `param` - LoggerLevel

    - #### isAdditivitySpecified

          public boolean isAdditivitySpecified()

    - #### getAdditivity

          public boolean getAdditivity()

      Auto generated getter method
      Returns:
        boolean

    - #### setAdditivity

          public void setAdditivity(boolean param)

      Auto generated setter method
      Parameters:
        `param` - Additivity

    - #### isPersistSpecified

          public boolean isPersistSpecified()

    - #### getPersist

          public boolean getPersist()

      Auto generated getter method
      Returns:
        boolean

    - #### setPersist

          public void setPersist(boolean param)

      Auto generated setter method
      Parameters:
        `param` - Persist

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`

Copyright © 2018 WSO2. All rights reserved.